import { createSSRApp } from "vue";
import App from "./App.vue";
import uviewPlus from "uview-plus";
import globalComponents from "./components";
import VConsole from "vconsole";
const token = window?.plus?.storage.getItemAsync("token");
uni.setStorageSync("token", token);
if (import.meta.env.VITE_APP_MODE === "dev") {
  new VConsole();
}
export function createApp() {
  const app = createSSRApp(App);
  globalComponents(app);
  app.use(uviewPlus);
  return {
    app,
  };
}
